<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="/webjars/bootstrap/5.3.3/css/bootstrap.min.css">
    <title>Home</title>
    <style>
        .mur {
            padding: 50px;
            vertical-align: top;
            display: flex;
            flex-direction: row;
            align-items: flex-start;
            justify-content: space-around;
        }

        .createAcc {
            max-width: 1000px;
            margin: 0;
            padding: 20px;
            border: 1px solid #ccc;
            border-radius: 5px;
        }

        label {
            display: block;
            margin-bottom: 10px;
            font-weight: bold;
        }

        input[type="text"],
        select {
            width: 100%;
            padding: 8px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        .tovch {
            display: block;
            width: 100%;
            padding: 10px;
            background-color: dodgerblue;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .tovch:hover {
            background-color: blue;
        }
    </style>
</head>
<body>
<div class="container text-center">
    <nav class="navbar navbar-expand-lg navbar-light bg-white">
        <div class="container-fluid">
            <span class="navbar-brand">Welcome, <span th:text="${user.username}"></span>!</span>
            <div class="navbar-nav ms-auto">
                <form class="d-flex" th:action="@{/logout}" method="post">
                    <input class="btn btn-outline-primary me-2" type="submit" value="Sign out">
                </form>
            </div>
        </div>
    </nav>


    <!--        <button onclick="toggleContent()">Toggle Content</button>-->
    <!--        <div id="content" th:class="${collapsed ? 'hidden' : ''}">-->
    <!--            &lt;!&ndash; Your content goes here &ndash;&gt;-->
    <!--            <p>This is the expanded content.</p>-->
    <!--        </div>-->

    <!--        <script>-->
    <!--            function toggleContent() {-->
    <!--                var content = document.getElementById("content");-->
    <!--                content.classList.toggle("hidden");-->
    <!--            }-->
    <!--        </script>-->


</div>
<div class="mur">
    <form action="/api/account" method="post" th:object="${newAccount}" class="createAcc">

        <label for="account_name">Account Name:</label>
        <input type="text" id="account_name" name="account_name" placeholder="Enter your account name...">
        <br>
        <label for="currency">Select your wallet currency:</label>
        <select id="currency" name="currency">
            <option value="USD">Dollar (USD)</option>
            <option value="CNY">Yuan (CNY)</option>
            <option value="JPY">Yen (JPY)</option>
            <option value="MNT">Tugrik (MNT)</option>
        </select>
        <br>
        <button class="tovch" type="submit">Create Account</button>

    </form>

    <form action="" method="post" class="createAcc">


        <label for="Account">Select your wallet account:</label>
        <select id="account" name="account">
            <option value="USD">********** (USD)</option>
            <option value="CNY">9999999999 (CNY)</option>
        </select>
        <br>
        <label for="account_name">Account Number:</label>
        <input type="text" id="Account Number" name="accountNumber" placeholder="Enter account account nummber">
        <br>
        <label for="amount">Amount:</label>
        <input type="text" id="Amount" name="amount" placeholder="Enter amount">
        <br>
        <label for="Transaction">Transaction:</label>
        <input type="text" id="Transaction" name="transaction" placeholder="transaction">
        <br>
        <button class="tovch" type="submit">Transfer</button>

    </form>
</div>
</body>
</html>